#version 120

#define BLACK_AND_WHITE_OFF 0
#define BLACK_AND_WHITE_ON 1
#define BLACK_AND_WHITE_TOGGLE BLACK_AND_WHITE_OFF // [BLACK_AND_WHITE_OFF BLACK_AND_WHITE_ON]

uniform sampler2D colortex0;
varying vec2 texcoord;

void main() {
    vec3 color = texture2D(colortex0, texcoord).rgb;
    
    #if BLACK_AND_WHITE_TOGGLE == BLACK_AND_WHITE_ON
        // Convert to black and white
        float luminance = dot(color, vec3(0.299, 0.587, 0.114));
        color = vec3(luminance);
    #endif

    gl_FragColor = vec4(color, 1.0);  // Changed alpha to 1.0
}
