#version 460
#include "/settings.glsl"

uniform sampler2D colortex0;
uniform float viewWidth;
uniform float viewHeight;

in vec2 texCoord;

layout(location = 0) out vec4 outColor0;

void main() {
    vec2 uv = texCoord;
    
    if (ASPECT_RATIO) {
        float aspectRatio = viewWidth / viewHeight;
        float targetAspectRatio = 16.0 / 9.0; // Assuming 16:9 as the target aspect ratio
        
        // Always scale horizontally
        float scale = targetAspectRatio / aspectRatio;
        uv.x = (uv.x - 0.5) * scale * ASPECT_RATIO_FACTOR + 0.5;
    }
    
    vec4 inputColour = texture(colortex0, uv);
    
    // Check if the UV coordinates are outside the valid range
    if (uv.x < 0.0 || uv.x > 1.0) {
        inputColour.rgb = vec3(0.0);
    }
    
    outColor0 = inputColour;
}

