#version 120
#include "/settings.glsl"

varying vec4 texcoord;
uniform sampler2D colortex0;

void main() {
    vec2 uv = texcoord.xy;
    vec3 color = texture2D(colortex0, uv).rgb;

    #if VIGNETTE_ENABLED == 1
    // Calculate vignette effect
    vec2 center = vec2(0.5, 0.5);
    float dist = distance(uv, center);
    float vignette = smoothstep(VIGNETTE_RADIUS, VIGNETTE_RADIUS - 0.25, dist);
    
    // Apply vignette
    color *= mix(1.0, vignette, VIGNETTE_STRENGTH);
    #endif

    // Output
    gl_FragColor = vec4(color, 1.0);
}