#version 120

#define GAMMA_ADJUSTMENT 0.2 //[0.0 0.1 0.2 0.3 0.4 0.5 1.0 1.5]

uniform sampler2D colortex0;

varying vec2 texcoord;

void AdjustGamma(inout vec3 color) {
    color = pow(color, vec3(1.0 / (1.0 + GAMMA_ADJUSTMENT)));
}

void main() {
    vec3 color = texture2D(colortex0, texcoord).rgb;
    
    AdjustGamma(color);
    
    gl_FragColor = vec4(color, 1.0);
}

