#version 120
#include "/settings/lib.h"



uniform sampler2D lightmap;
uniform sampler2D texture;
uniform int isEyeInWater;
uniform float far;

uniform vec3 skyColor;
uniform vec3 fogColor;

varying vec2 lmcoord;
varying vec2 texcoord;
varying vec3 cPos;//Chunked Position
varying vec3 wPos;//World Position
varying vec3 sunPos;//Sun Position
varying vec3 glnormal;
varying vec4 glcolor;

//*-*-Main-*-*
void main(){
vec4 diffuse=texture2D(texture,texcoord)*glcolor;


//*-*-Data Base-*-*
float indoor=smoothstep(.95,1.,lmcoord.y);
float cave=smoothstep(.7,1.,lmcoord.y);
float day=saturate(skyColor.r*2.);
float dusk=saturate((fogColor.r-.1)-fogColor.b);
float mainShadow=smoothstep(.95,.96,lmcoord.y);
float sideShadow=smoothstep(.64,.68,glcolor.g);


#ifdef SHADOWS
float shadowDepth=mix(mix(1.,.73,day),1.,lmcoord.x*1.2);
diffuse.rgb*=mix(shadowDepth,1.,mainShadow);
diffuse.rgb*=mix(1.,mix(shadowDepth,1.,saturate(dot(sunPos,glnormal))),mainShadow);
#endif


gl_FragData[0]=diffuse;
}