#version 120
#include "/settings/lib.h"

attribute vec4 mc_Entity;

uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform vec3 sunPosition;
uniform vec3 cameraPosition;
uniform float frameTimeCounter;

varying vec2 lmcoord;
varying vec2 texcoord;
varying vec3 cPos;
varying vec3 wPos;
varying vec3 sunPos;
varying vec3 glnormal;
varying vec4 glcolor;
varying float isGlint; // Add this varying for glint

void main() {
    gl_Position = ftransform();

    texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
    lmcoord = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
    glcolor = gl_Color;
    glnormal = gl_Normal;

    // Detect if this is an enchanted item
    isGlint = 0.0;
    if (mc_Entity.x == 10000.0) { // Enchanted item ID
        isGlint = 1.0;
    }

    sunPos = (vec4(sunPosition, 1.) * gl_ModelViewMatrix).xyz;
    vec4 pos = gbufferModelViewInverse * gl_ModelViewMatrix * gl_Vertex;
    cPos = pos.xyz + cameraPosition;
    wPos = pos.xyz;

    #ifdef WAVING_HAND
    // Enhanced hand animation
    float wave = sin(frameTimeCounter * 2.0) * 0.015; // Subtle wave
    float bob = cos(frameTimeCounter * 3.0) * 0.01;   // Subtle bob
    
    // Apply movement only to hand items
    if (mc_Entity.x != 0.0) { // Check if it's a hand item
        pos.x += wave;
        pos.y += bob;
    }
    #endif

    gl_Position = gl_ProjectionMatrix * gbufferModelView * pos;
}
